Get a single Attack Discovery generation, including its discoveries and (optional) generation metadata

Base URL
https://{kibana_url}
Auth

Returns a specific Attack Discovery generation, including all generated Attack discoveries and associated metadata, including execution status and statistics.

Path parameters

execution_uuid string · format: nonempty · min length: 1 required

The unique identifier for the Attack Discovery generation execution. This UUID is returned at the start of an Attack Discovery generation.

Example: 2e13f386-46cf-4d65-9e2b-68609e132ba5

Query parameters

enable_field_rendering boolean · default: false

Enables a markdown syntax used to render pivot fields, for example {{ user.name james }}. When disabled, the same example would be rendered as james. This is primarily used for Attack Discovery views within Kibana. Defaults to false.

with_replacements boolean · default: true

When true, return the created Attack discoveries with text replacements applied to the detailsMarkdown, entitySummaryMarkdown, summaryMarkdown, and title fields. Defaults to true.

Responses

Indicates a successful call.

application/json
data object[] required

Array of Attack discoveries generated during this execution.

alert_ids string[] required

The alert IDs that the attack discovery is based on

alert_rule_uuid string

The optional kibana.alert.rule.uuid of the rule that generated this attack discovery (not applicable to ad hock runs)

alert_start string

The optional time the attack discovery alert was created

alert_updated_at string

The optional time the attack discovery alert was last updated

alert_updated_by_user_id string

The optional id of the user who last updated the attack discovery alert

alert_updated_by_user_name string

The optional username of the user who updated the attack discovery alert

alert_workflow_reason string

The optional kibana.alert.workflow_reason of this attack discovery, which records why the workflow status was last changed

alert_workflow_status string

The optional kibana.alert.workflow_status of this attack discovery

alert_workflow_status_updated_at string

The optional time the attack discovery alert workflow status was last updated

assignees string[]

The optional array of user-IDs who have been assigned the attack

connector_id string required

The ID of the connector that generated the attack discovery

connector_name string required

The (human readable) name of the connector that generated the attack discovery

details_markdown string required

Details of the attack with bulleted markdown that always uses special syntax for field names and values from the source data.

entity_summary_markdown string

An optional, short (no more than a sentence) summary of the attack discovery featuring only the host.name and user.name fields (when they are applicable), using the same syntax

generation_uuid string required

The generation ID of the run that created the attack discovery

id string required

The unique ID of the attack discovery

index string

The concrete Elasticsearch index where this attack discovery is stored

mitre_attack_tactics string[]

An optional array of MITRE ATT&CK tactic for the attack discovery

replacements map string to string

Replacements object used to anonymize/deanonymize messages

risk_score integer

The optional, (but typically populated after generation) risk score of the alert

summary_markdown string required

A markdown summary of attack discovery, using the same syntax

tags string[]

The optional array of tags assigned the attack

timestamp string · format: nonempty · min length: 1 required

A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.

title string required

A title for the attack discovery, in plain text

user_id string

The optional id of the user who generated the attack discovery

user_name string

The optional username of the user who generated the attack discovery, (not applicable to attack discoveries generated by rules)

Base URL
https://{kibana_url}